Package org.apache.synapse.transport.http.conn

# Class ReplayIOSession

java.lang.Object
org.apache.synapse.transport.http.conn.ReplayIOSession

All Implemented Interfaces:
  `org.apache.http.nio.reactor.IOSession`

public class ReplayIOSession extends Object implements org.apache.http.nio.reactor.IOSession

- ## Field Summary

  ### Fields inherited from interface org.apache.http.nio.reactor.IOSession

  `ACTIVE, ATTACHMENT_KEY, CLOSED, CLOSING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplayIOSession(org.apache.http.nio.reactor.IOSession session, String id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ByteChannel`
  `channel()`
  `void`
  `clearEvent(int op)`
  `void`
  `close()`
  `Object`
  `getAttribute(String name)`
  `int`
  `getEventMask()`
  `SocketAddress`
  `getLocalAddress()`
  `SocketAddress`
  `getRemoteAddress()`
  `int`
  `getSocketTimeout()`
  `int`
  `getStatus()`
  `boolean`
  `hasBufferedInput()`
  `boolean`
  `hasBufferedOutput()`
  `boolean`
  `isClosed()`
  `Object`
  `removeAttribute(String name)`
  `void`
  `setAttribute(String name, Object obj)`
  `void`
  `setBufferStatus(org.apache.http.nio.reactor.SessionBufferStatus status)`
  `void`
  `setEvent(int op)`
  `void`
  `setEventMask(int ops)`
  `void`
  `setSocketTimeout(int timeout)`
  `void`
  `shutdown()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReplayIOSession

    public ReplayIOSession(org.apache.http.nio.reactor.IOSession session, String id)

- ## Method Details

  - ### getStatus

    public int getStatus()
    Specified by:
      `getStatus` in interface `org.apache.http.nio.reactor.IOSession`

  - ### channel

    public ByteChannel channel()
    Specified by:
      `channel` in interface `org.apache.http.nio.reactor.IOSession`

  - ### getLocalAddress

    public SocketAddress getLocalAddress()
    Specified by:
      `getLocalAddress` in interface `org.apache.http.nio.reactor.IOSession`

  - ### getRemoteAddress

    public SocketAddress getRemoteAddress()
    Specified by:
      `getRemoteAddress` in interface `org.apache.http.nio.reactor.IOSession`

  - ### getEventMask

    public int getEventMask()
    Specified by:
      `getEventMask` in interface `org.apache.http.nio.reactor.IOSession`

  - ### setEventMask

    public void setEventMask(int ops)
    Specified by:
      `setEventMask` in interface `org.apache.http.nio.reactor.IOSession`

  - ### setEvent

    public void setEvent(int op)
    Specified by:
      `setEvent` in interface `org.apache.http.nio.reactor.IOSession`

  - ### clearEvent

    public void clearEvent(int op)
    Specified by:
      `clearEvent` in interface `org.apache.http.nio.reactor.IOSession`

  - ### close

    public void close()
    Specified by:
      `close` in interface `org.apache.http.nio.reactor.IOSession`

  - ### isClosed

    public boolean isClosed()
    Specified by:
      `isClosed` in interface `org.apache.http.nio.reactor.IOSession`

  - ### shutdown

    public void shutdown()
    Specified by:
      `shutdown` in interface `org.apache.http.nio.reactor.IOSession`

  - ### getSocketTimeout

    public int getSocketTimeout()
    Specified by:
      `getSocketTimeout` in interface `org.apache.http.nio.reactor.IOSession`

  - ### setSocketTimeout

    public void setSocketTimeout(int timeout)
    Specified by:
      `setSocketTimeout` in interface `org.apache.http.nio.reactor.IOSession`

  - ### setBufferStatus

    public void setBufferStatus(org.apache.http.nio.reactor.SessionBufferStatus status)
    Specified by:
      `setBufferStatus` in interface `org.apache.http.nio.reactor.IOSession`

  - ### hasBufferedInput

    public boolean hasBufferedInput()
    Specified by:
      `hasBufferedInput` in interface `org.apache.http.nio.reactor.IOSession`

  - ### hasBufferedOutput

    public boolean hasBufferedOutput()
    Specified by:
      `hasBufferedOutput` in interface `org.apache.http.nio.reactor.IOSession`

  - ### getAttribute

    public Object getAttribute(String name)
    Specified by:
      `getAttribute` in interface `org.apache.http.nio.reactor.IOSession`

  - ### setAttribute

    public void setAttribute(String name, Object obj)
    Specified by:
      `setAttribute` in interface `org.apache.http.nio.reactor.IOSession`

  - ### removeAttribute

    public Object removeAttribute(String name)
    Specified by:
      `removeAttribute` in interface `org.apache.http.nio.reactor.IOSession`